Bug 60412 - iputils has wrong defs for SOCK_STREAM and SOCK_DGRAM when building for MIPS
Summary: iputils has wrong defs for SOCK_STREAM and SOCK_DGRAM when building for MIPS
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: mips32 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-27 15:53 UTC by Ken Cox
Modified: 2015-03-05 01:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 15:11:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Path file that fixes problem (882 bytes, patch)
2002-02-27 15:54 UTC, Ken Cox
no flags Details | Diff
patch to the spec file to apply the patch (695 bytes, patch)
2002-02-27 15:56 UTC, Ken Cox
no flags Details | Diff

Description Ken Cox 2002-02-27 15:53:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
When cross compiling the iputils package for a MIPS platform, iputils uses it's
own version of socket.h instead of using the one out of the toolchain and the
#defines for SOCK_STREAM and SOCK_DGRAM are wrong for a MIPS platform.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Cross compile the package for MIPS
2.Test by trying to ping another host
3.ping exits with a "Connection Refused" error
	

Actual Results:  When trying to open a "STREAM" (tcp) socket, a DGRAM (udp)
socket is opened instead and vice-versa.

Additional info:

This was found when compiling the package for the Embedded Linux Developer's
Suite (ELDS).

Comment 1 Ken Cox 2002-02-27 15:54:34 UTC
Created attachment 46800 [details]
Path file that fixes problem

Comment 2 Ken Cox 2002-02-27 15:56:54 UTC
Created attachment 46801 [details]
patch to the spec file to apply the patch

Comment 3 Phil Knirsch 2002-03-07 15:11:35 UTC
Will look into it... Might be fixed with the newest iputils package already...

Read ya, Phil

Comment 4 Phil Knirsch 2002-04-10 10:39:44 UTC
Fixed in current rawhide version (latest iputils upstream tarball already
contained the correct fix).

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.